.btn-blue {
    border: none;
    outline: none;
    cursor: pointer;
    color: #1D1D1B;
    font-weight: 700;
    font-size: rem(14);
    line-height: rem(20);
    padding: rem(15) rem(40);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    background: #F1F8FE;
    text-decoration: none;
    display: inline-block;
    vertical-align: middle;
    border-radius: rem(25);

    &:hover {
        color: #1D1D1B;
        background: #f1fbfe;
    }

    &:active {
        background: #F1F8FE;
    }

    &:focus,
    &.focus {
        outline: 0;
    }
}

.btn-border {
    color: #fff;
    outline: none;
    cursor: pointer;
    font-weight: 700;
    font-size: rem(14);
    line-height: rem(19);
    padding: rem(7) rem(12);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    background: transparent;
    text-decoration: none;
    border: rem(2) solid #fff;
    display: inline-block;
    vertical-align: middle;

    &:hover {
        color: #fff;
        background: #97BBFB;
    }

    &:active {
        background: #E3CAFF;
    }

    &:focus,
    &.focus {
        outline: 0;
    }
}

.btn-view {
    color: #fff;
    padding: 11px;
    font-weight: 700;
    font-size: rem(14);
    line-height: rem(19);
    text-align: center;
    border-radius: rem(2);
    background: #040D5F;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;

    svg {
        fill: #fff;
    }

    span {
        padding-right: rem(6);
        display: inline-block;
    }

    i {
        height: rem(19);
        font-size: 0;
        line-height: 0;
        display: inline-block;
    }

    &:hover {
        color: #fff;
        background: #040f77;
        text-decoration: none;

        svg {
            fill: #fff;
        }
    }

    &:active {
        background: #040D5F;
    }
}

.btn-view-light {
    background: #1843F5;

    &:hover {
        background: #2650fa;
    }

    &:active {
        background: #1843F5;
    }
}

.btn-view-white {
    color: #040D5F;
    background: #FFFFFF;

    svg {
        fill: #040D5F;
    }

    &:hover {
        color: #040D5F;
        background: #f5f5f5;

        svg {
            fill: #040D5F;
        }
    }

    &:active {
        color: #040D5F;
        background: #fff;

        svg {
            fill: #040D5F;
        }
    }
}

.btn-view-sm {
    padding: rem(5) rem(11);
    font-weight: 400;
}

.life {
    padding: rem(30) 0;
    background: #fff;
}

.btn-ellipse {
    color: #fff;
    outline: none;
    cursor: pointer;
    font-weight: 700;
    font-size: rem(12);
    line-height: rem(19);
    padding: rem(11) rem(15);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    background: transparent;
    text-decoration: none;
    border: rem(2) solid rgba(255,255,255,0.4);
    display: inline-block;
    vertical-align: middle;
    border-radius: rem(26);
    transition: .3s;

    &:hover {
        color: #fff;
        text-decoration: none;
        background: rgba(255, 255, 255, 0.15);
        transition: .3s;
    }

    &:active {
        background: transparent;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    &.active {
        background: rgba(255, 255, 255, 0.15);
        border: 2px solid rgba(255,255,255,1);
    }
}

.btn-arrow {
    min-width: rem(160);
    height: rem(30);
    border: none;
    outline: none;
    margin: 0 auto;
    color: #1D1D1B;
    padding: rem(2) rem(10);
    font-weight: 700;
    font-size: rem(14);
    line-height: rem(18);
    text-align: center;
    border-radius: rem(2);
    background: #fff;
    text-decoration: none;
    display: flex;
    vertical-align: middle;
    align-items: center;
    justify-content: center;

    svg {
        fill: #1D1D1B;
    }

    span {
        padding-right: rem(6);
        display: inline-block;
    }

    i {
        height: rem(16);
        font-size: 0;
        line-height: 0;
        display: inline-block;
    }

    &:hover {
        color: #1D1D1B;
        background: #ccc;
        text-decoration: none;

        svg {
            fill: #1D1D1B;
        }
    }

    &:active {
        background: #fff;
    }
}

.view-all {
    display: flex;
    align-items: center;
    color: #1D1D1B;
    font-weight: 700;
    font-size: rem(14);
    line-height: rem(19);
    text-decoration: none;

    .ico-svg {
        fill: #1D1D1B;
    }

    &:hover {
        color: #040D5F;
        text-decoration: none;

        .ico-svg {
            fill: #040D5F;
        }
    }

    span {
        padding-right: rem(6);
        display: inline-block;
    }

    i {
        height: rem(18);
        font-size: 0;
        line-height: 0;
        display: inline-block;
    }
}

.view-all-white {
    color: #fff;

    .ico-svg {
        fill: #fff;
    }

    &:hover {
        color: #fff;
        text-decoration: none;

        .ico-svg {
            fill: #fff;
        }
    }

}

.btn-border-color {
    display: inline-block;
    padding: rem(1);
    outline: none;
    color: #1D1D1B;
    font-weight: 700;
    text-align: center;
    font-size: rem(12);
    line-height: rem(20);
    border-radius: rem(20);
    position: relative;
    cursor: pointer;
    //background: #FAFAFA;
    background: #fff;
    text-decoration: none;
    white-space: nowrap;
    border: 1px solid #E8EBF0;

    svg {
        fill: #1D1D1B
    }

    span {
        z-index: 10;
        display: block;
        padding: rem(11) rem(40);
        border-radius: rem(21);
        position: relative;
        //	background: #FAFAFA;
        background: #fff;
    }

    &::before {
        top: -1px;
        left: -1px;
        right: -1px;
        bottom: -1px;
        z-index: 1;
        content: '';
        display: block;
        position: absolute;
        border-radius: rem(23);
        background: rgb(236,10,21);
        background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);
    }

    &:hover {
        color: #fff;

        svg {
            fill: #fff
        }

        span {
            background: rgb(236,10,21);
            background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);
        }
    }

    &:active {

        span {
            background: #FAFAFA;
        }

    }
}

.btn-border-icon {

    span {
        display: flex;
        align-items: center;
        justify-content: center;

        b {
            font-weight: 700;
            white-space: nowrap;
            display: inline-block;
        }

        i {
            font-size: 0;
            line-height: 0;
            height: rem(18);
            margin-left: rem(5);
            display: inline-block
        }
    }
}

.btn-color {
    color: #fff;
    padding: rem(11);
    border: none;
    outline: none;
    cursor: pointer;
    font-weight: 700;
    font-size: rem(14);
    line-height: rem(19);
    text-align: center;
    border-radius: rem(20);
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgb(236,10,21);
    background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);

    svg {
        fill: #fff;
    }

    span {
        padding-right: rem(6);
        display: inline-block;
    }

    i {
        height: rem(19);
        font-size: 0;
        line-height: 0;
        display: inline-block;
    }

    &:hover {
        color: #fff;
        text-decoration: none;
        background: rgb(236,10,21);
        background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(236,10,21,1) 100%);

        svg {
            fill: #fff;
        }
    }

    &:active {
        background: rgb(236,10,21);
        background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);
    }
}

.border-button {
    width: auto;
    display: inline-block;
    padding: rem(1);
    outline: none;
    color: #1D1D1B;
    font-weight: 700;
    text-align: center;
    font-size: rem(12);
    line-height: rem(16);
    border-radius: rem(20);
    position: relative;
    cursor: pointer;
    background: #FAFAFA;
    text-decoration: none;
    white-space: nowrap;
    border: 1px solid #E8EBF0;

    span {
        z-index: 10;
        display: block;
        padding: rem(10) rem(5);
        position: relative;
        border-radius: rem(18);
        background: #FAFAFA;
    }

    &::before {
        top: rem(-1);
        left: rem(-1);
        right: rem(-1);
        bottom: rem(-1);
        z-index: 1;
        content: '';
        opacity: 0;
        visibility: hidden;
        display: block;
        position: absolute;
        border-radius: rem(20);
        background: rgb(236,10,21);
        background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);
    }

    &.active,
    &:hover {

        &::before {
            opacity: 1;
            visibility: visible;
        }
    }
}

.btn-md {
    padding: rem(15) rem(30);
    border-radius: rem(25);
}

.btn-sm {
    width: 100%;
    color: #fff;
    padding: rem(5) rem(15);
    border: none;
    outline: none;
    cursor: pointer;
    font-weight: 700;
    font-size: rem(14);
    line-height: rem(30);
    text-align: center;
    border-radius: rem(20);
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgb(236,10,21);
    background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);

    svg {
        fill: #fff;
    }

    span {
        padding-right: rem(6);
        display: inline-block;
    }

    i {
        height: rem(30);
        font-size: 0;
        line-height: 0;
        text-align: center;
        display: inline-block;
        flex-shrink: 0;
    }

    &:hover {
        color: #fff;
        text-decoration: none;
        background: rgb(236,10,21);
        background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(236,10,21,1) 100%);

        svg {
            fill: #fff;
        }
    }

    &:active {
        background: rgb(236,10,21);
        background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);
    }
}
